<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from suifmath.texi on 28 April 1999 -->

<TITLE>The SUIFMATH Library - Linear Inequality Library</TITLE>
<link href="suifmath_10.html" rel=Next>
<link href="suifmath_8.html" rel=Previous>
<link href="suifmath_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="suifmath_1.html">first</A>, <A HREF="suifmath_8.html">previous</A>, <A HREF="suifmath_10.html">next</A>, <A HREF="suifmath_37.html">last</A> section, <A HREF="suifmath_toc.html">table of contents</A>.
<P><HR><P>


<H1><A NAME="SEC9" HREF="suifmath_toc.html#TOC9">Linear Inequality Library</A></H1>
<P>
<A NAME="IDX195"></A>
<A NAME="IDX196"></A>
<A NAME="IDX197"></A>
<A NAME="IDX198"></A>
<A NAME="IDX199"></A>
<A NAME="IDX200"></A>

</P>
<P>
<EM>Note: Due to interdependences between the suifmath and dependence
class structures, the implementation of the linear inequalities was moved
to the dependence library in the current release.</EM>

</P>
<P>
All the functions defined in the matrix class (see section <A HREF="suifmath_3.html#SEC3">Matrix Library</A>)
apply to linear inequalities. In addition, a number of other methods are
available.

</P>
<P>
A system of linear inequalities is a further abstraction of matrices.
The system of linear inequalities is defined by the class
<CODE>lin_ineq</CODE>, which is derived from the class <CODE>integer_matrix</CODE>.
A constraint is represented by the class <CODE>constraint</CODE> which is
derived from the class <CODE>integer_row</CODE>.

<BLOCKQUOTE>
<P>
For example, the following matrix:

<PRE>
        [  0   1   1   2   0  ]
        [ 10  -1   1   0   0  ]
        [ 20   1   0   0   1  ]
</PRE>

<P>
represents a system of inequalities

<UL>
<LI>i1 + i2 + 2*i3 &#62;= 0

<LI>10 - i1 + i2  &#62;= 0

<LI>20 + i1 + i4  &#62;= 0

</UL>

<P>
where the columns 1 to 4 in the matrix are the coefficients of the
variables i1 to i4 respectively.  The 0-th column is the constant term. 
</BLOCKQUOTE>


<UL>
<LI><A HREF="suifmath_10.html#SEC10">Inequality Manipulation</A>: How to create and change linear inequalities
<LI><A HREF="suifmath_11.html#SEC11">Inequality Math</A>: Mathematical operations that can be done on linear inequalities
<LI><A HREF="suifmath_12.html#SEC12">An Inequality</A>: Creating and manipulating a single constraint
<LI><A HREF="suifmath_3.html#SEC3">Matrix Library</A>: All matrix functions can be applied to linear inequality class
</UL>

<P><HR><P>
<p>Go to the <A HREF="suifmath_1.html">first</A>, <A HREF="suifmath_8.html">previous</A>, <A HREF="suifmath_10.html">next</A>, <A HREF="suifmath_37.html">last</A> section, <A HREF="suifmath_toc.html">table of contents</A>.
</BODY>
</HTML>
